package com.njcn.gather.event.eventlist.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.gather.event.eventlist.pojo.param.EventListQueryParam;
import com.njcn.gather.event.eventlist.pojo.param.EventWaveExportParam;
import com.njcn.gather.event.eventlist.pojo.vo.EventListVO;
import com.njcn.gather.tool.wave.pojo.vo.WaveComtradeResultVO;

/**
 * 事件列表服务。
 */
public interface EventListService {

    Page<EventListVO> pageTransientEvents(EventListQueryParam param);

    EventListVO getTransientEventDetail(String eventId);

    void exportTransientEvents(EventListQueryParam param);

    WaveComtradeResultVO getTransientEventWave(String eventId);

    void exportTransientEventWaves(EventWaveExportParam param);
}
